rust-rustls (0.23.41+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update watch file:
    + use Custom-Version
    + limit to @STABLE_VERSION@
  * update DEP-3 patch headers
  * extend patch 1001_asn1 to accept newer minor version of crate asn1;
    closes: bug#1138709, thanks to Colin Watson
  * update copyright info: update coverage
  * bump project versions in virtual packages and autopkgtests
  * use debhelper compatibility level 14 (not 13)
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 22 Jun 2026 22:12:08 +0200

rust-rustls (0.23.40+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * bump project versions in virtual packages and autopkgtests
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 28 Apr 2026 20:33:52 +0200

rust-rustls (0.23.38+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * bump project versions in virtual packages and autopkgtests
  * declare compliance with Debian Policy 4.7.4
  * unfuzz patches
  * stop autopktest-depend on package for crate bencher

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 13 Apr 2026 09:03:13 +0200

rust-rustls (0.23.37+ds-3) unstable; urgency=medium

  * tighten (build-)dependencies for crate zlib-rs:
    closes:bug#1129664, thanks to Peter Michael Green

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 05 Mar 2026 09:43:58 +0100

rust-rustls (0.23.37+ds-2) unstable; urgency=medium

  * drop patch 2002_zlib-rs, obsoleted by upstream changes;
    closes: bug#1129005,
    thanks to Alexander Kjäll and Peter Michael Green

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 03 Mar 2026 22:54:01 +0100

rust-rustls (0.23.37+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info:
    + avoid any .git* files when repackaging upstream source
    + license patches same as main upstream license
  * update git-buildpackage config:
    + stop superfluously filter out .git* files
  * bump project versions in virtual packages and autopkgtests
  * relax (build-, autopkgtest-)dependencies for all crates,
    except autopkgtest-dependencies for own feature-providing provisions
  * stop set Multi-Arch: foreign,
    incompatible with arch-any packaged crates
  * update and unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 24 Feb 2026 23:17:18 +0100

rust-rustls (0.23.36+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * fix bump project versions in virtual packages
  * update patches
  * stop set superfluous fields Rules-Requires-Root Priority
  * declare compliance with Debian Policy 4.7.3
  * update watch file: use Uversion-Mangle: auto (not custom regex)
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 06 Jan 2026 09:01:46 +0100

rust-rustls (0.23.35+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * add patch 1001_asn1, superseding patch 2002_asn1;
    tighten build- and autopkgtest-dependencies for crate asn1
  * drop patches 2002_brotli 2002_brotli-decompressor,
    obsoleted by Debian packaging changes;
    tighten (build-)dependencies for crates brotli brotli-decompressor
  * bump project versions in virtual packages and autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 05 Nov 2025 16:28:49 +0100

rust-rustls (0.23.33+ds-4) unstable; urgency=medium

  * extend patch 2002_asn1 to accept newer minor version
    (in addition to older);
    relax build- and autopkgtest-dependencies for crate asn1;
    closes: bug#1119933, thanks to Peter Michael Green

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 02 Nov 2025 17:05:25 +0100

rust-rustls (0.23.33+ds-3) unstable; urgency=medium

  * tighten (build-)dependencies for crate hashbrown

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 19 Oct 2025 22:50:32 +0200

rust-rustls (0.23.33+ds-2) unstable; urgency=medium

  * add patch 1001_hashbrown
    to accept newer minor version of crate hashbrown;
    relax (build-)dependency for crate hashbrown

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 19 Oct 2025 01:25:25 +0200

rust-rustls (0.23.33+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * bump project versions in virtual packages and autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 17 Oct 2025 14:35:06 +0200

rust-rustls (0.23.32+ds-2) unstable; urgency=medium

  * update DEP-3 patch headers
  * drop patch 2002_zlib-rs,
    obsoleted by Debian packaging changes;
    provide and autopkgtest feature zlib;
    (build-)depend on package for crate zlib-rs

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 09 Oct 2025 22:46:03 +0200

rust-rustls (0.23.32+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * unfuzz patches
  * bump project versions in virtual packages and autopkgtests
  * stop build- or autopkgtest-depend on packages for crate async-std
  * bump build- and autopkgtest-dependencies for crate rcgen
  * build-depend on packages for crate tokio

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 19 Sep 2025 14:03:32 +0200

rust-rustls (0.23.31+ds-7) unstable; urgency=medium

  * update patch 2001_native_certs;
    bump build- and autopkgtest-dependencies
    for crate rustls-native-certs;
    closes: bug#1109149, thanks to Peter Michael Green

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 Aug 2025 12:52:35 +0200

rust-rustls (0.23.31+ds-6) unstable; urgency=medium

  * no-changes upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 Aug 2025 09:59:56 +0200

rust-rustls (0.23.31+ds-5) experimental; urgency=medium

  * update and unfuzz patches
  * build- and autopkgtest-depend on package
    for crate macro-rules-attribute;
    thighten (build-)dependencies for crate hashbrown;
    relax (build-)dependencies
    for crates brotli brotli-decompressor;
    relax build- and autopkgtest-dependencies
    for crates asn1 x509-parser
  * update watch file:
    + use file format 5
    + improve mangling of upstream version

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 29 Aug 2025 21:17:55 +0200

rust-rustls (0.23.31+ds-4) unstable; urgency=medium

  * fix patch 1002;
    revert to autopkgtest-check all-features

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 19 Aug 2025 17:28:19 +0200

rust-rustls (0.23.31+ds-3) unstable; urgency=medium

  * update mangling of system-shared code
    to use system-shared test files;
    closes: bug#1111502, thanks to Peter Green
  * extend patch 1002 to fence more tests
  * omit autopkgtest-checking all-features due to missing aws-lc-rs

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 19 Aug 2025 09:37:21 +0200

rust-rustls (0.23.31+ds-2) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 11 Aug 2025 14:24:12 +0200

rust-rustls (0.23.31+ds-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * bump project versions in virtual packages and autopkgtests
  * stop tolerate test failures when targeted experimental
  * tighten (build-)dependency for crate rustls-pki-types
  * drop patch 2002_rustls-webpki;
    bump (build-)dependencies for crate rustls-webpki

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 11 Aug 2025 08:19:59 +0200

rust-rustls (0.23.26+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * bump project versions in virtual packages and autopkgtests
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 10 Apr 2025 20:06:09 +0200

rust-rustls (0.23.25+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * bump project versions in virtual packages and autopkgtests
  * update and unfuzz patches
  * add patches 2002_itertools 2002_rustls-webpki
    to use older branches of crates itertools rustls-webpki
  * build- and autopkgtest-depend on package for crate x509-parser
  * declare compliance with Debian Policy 4.7.2

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 23 Mar 2025 17:44:41 +0100

rust-rustls (0.23.20+ds-10) unstable; urgency=medium

  * really fix patch 1002

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 19 Feb 2025 15:31:10 +0100

rust-rustls (0.23.20+ds-9) unstable; urgency=medium

  * fix patch 1002

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 18 Feb 2025 08:10:55 +0100

rust-rustls (0.23.20+ds-8) unstable; urgency=medium

  * extend patch 1002
    to cover failure to infer type with feature hashbrown
    but without feature default;
    drop unused and now obsolete patch 1001

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 16 Feb 2025 21:15:33 +0100

rust-rustls (0.23.20+ds-7) unstable; urgency=medium

  * update and disable possibly unneeded patch 1001

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 15 Feb 2025 10:46:54 +0100

rust-rustls (0.23.20+ds-6) unstable; urgency=medium

  * fix patch 2001;
    tighten build- and autopkgtest-dependencies
    for crate rustls-native-certs
  * fix patch 2002_aws_lc_rs
  * build- and autopkgtest-depend on ca-certificates
  * update install and code mangling for system-shared test assets
  * add patch 1001 to explicitly declare type
  * add patch 1002 to fence tests by needed features

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 15 Feb 2025 10:10:43 +0100

rust-rustls (0.23.20+ds-5) unstable; urgency=medium

  * update watch file: mangle upstream version
  * drop patch 2002_rcgen, obsoleted by Debian packaging changes
    + bump build- and autopkgtest-dependencies for crate rcgen

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 14 Feb 2025 10:47:55 +0100

rust-rustls (0.23.20+ds-4) experimental; urgency=medium

  * update git-buildpackage config:
    + filter out debian subdir
    + improve usage comment
  * add metadata about upstream project
  * update watch file: tighten download URI mangling
  * update copyright info: update coverage
  * relax build- and autopkgtest-dependency
    for crate rustls-native-certs

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 07 Feb 2025 18:44:16 +0100

rust-rustls (0.23.20+ds-3) experimental; urgency=medium

  * drop patch 2002_tikv-jemallocator,
    obsoleted by Debian packaging changes
  * tighten build- and autopkgtest-dependencies
    for crates mio tikv-jemallocator
  * relax build- and autopkgtest-dependency for crate asn1

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 16 Jan 2025 09:42:23 +0100

rust-rustls (0.23.20+ds-2) experimental; urgency=medium

  * update watch file:
    + use Github API uri
    + improve filename mangling
  * drop patch 2002_env_logger, obsoleted by Debian package changes;
    tighten build- and autopkgtest-dependencies
    for crate rust-env-logger

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 01 Jan 2025 13:09:54 +0100

rust-rustls (0.23.20+ds-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * avoid website when repackaging upstream source
  * update and unfuzz patches
  * update source helper tool copyright-check to skip a test file
  * bump project versions in virtual packages and autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 17 Dec 2024 03:26:58 +0100

rust-rustls (0.23.16-1) experimental; urgency=medium

  [ upstream ]
  * new release(s);
    closes: bug#1085015, thanks to Blair Noctis and Sylvestre Ledru

  [ Jonas Smedegaard ]
  * bump project versions in virtual packages and autopkgtests
  * update and unfuzz patches
  * stop provide or autopkgtest locally mangled feature default
  * tolerate test failures when targeted experimental
  * drop superfluous README.Debian file,
    mentioning testing-only diversion from upstream
  * (build-)depend on packages
    for crates brotli brotli-decompressor hashbrown once-cell
    rustls-pki-types subtle zeroize (not sct);
    build- and autopkgtest-depend
    on packages for crates asn1 async-std clap hex num-bigint
    openssl rcgen serde-json tikv-jemallocator time
    (not bencher docopt rustls-pemfile serde-derive);
    tighten (build-)dependencies for crate rustls-webpkit;
    tighten build- and autopkgtest-dependencies for crate serde;
    relax build- and autopkgtest-dependencies for crate env-logger;
    provide and autopkgtest features
    brotli custom-provider hashbrown ring std
    (not dangerous-configuration default quic secret-extraction)

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 17 Dec 2024 02:12:01 +0100

rust-rustls (0.21.12-6) unstable; urgency=medium

  * fix make build-dependencies unconditional
  * add patch 1002_base64 to accept newer branch of crate base64;
    bump autopkgtest-dependencies for crate base64;
    fix build-depend on package for crate base64;
    closes: bug#1084375, thanks to Santiago Vila

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 16 Oct 2024 16:36:30 +0200

rust-rustls (0.21.12-5) unstable; urgency=medium

  * autopkgtest-depend on dh-rust (not dh-cargo);
    closes: bug#1079557, thanks to Peter Michael Green
  * stop mention dh-cargo in long description

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 24 Aug 2024 17:58:00 +0200

rust-rustls (0.21.12-4) unstable; urgency=medium

  * add patch 1002 to accept newer branch of crate mio;
    relax build- and autopkgtest-dependencies for crate mio;
    closes: bug#1078508, thanks to Peter Green

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 14 Aug 2024 11:18:11 +0200

rust-rustls (0.21.12-3) unstable; urgency=medium

  * autopkgtest-depend on dh-rust (not dh-cargo)
  * reduce autopkgtest to check single-feature tests only on amd64

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 31 Jul 2024 22:11:10 +0200

rust-rustls (0.21.12-2) unstable; urgency=high

  * simplify packaging;
    build-depend on dh-sequence-rust
    (not dh-cargo libstring-shellquote-perl)
  * update and extend patch 1001
  * urgency=high due to CVE-2024-32650 in previous release

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 17 Jul 2024 10:14:51 +0200

rust-rustls (0.21.12-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)
    + don't specially handle unauthenticated close_notify alerts;
      fixes CVE-2024-32650;
      closes: bug#1069677, thanks to Moritz Mühlenhoff

  [ Jonas Smedegaard ]
  * update watch file: modernize source URI
  * update copyright info: fix file path
  * bump project versions in virtual packages and autopkgtests
  * unfuzz patches
  * declare compliance with Debian Policy 4.7.0

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 11 Jun 2024 15:15:06 +0200

rust-rustls (0.21.10-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update dh-cargo fork
  * update copyright info: update coverage
  * bump project versions in virtual packages and autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 14 Jan 2024 18:41:57 +0100

rust-rustls (0.21.9-1) unstable; urgency=medium

  * unfuzz patches
  * bump project version in virtual packages and autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 27 Nov 2023 16:19:59 +0100

rust-rustls (0.21.8-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 07 Nov 2023 18:35:51 +0000

rust-rustls (0.21.8-3) experimental; urgency=medium

  * relax autopkgtest-dependencies for crate rustls
  * add patch 1002 to consistently depend on branch v0.17 of crate ring

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 03 Nov 2023 23:54:17 +0100

rust-rustls (0.21.8-2) experimental; urgency=medium

  * tighten autopkgtest-dependencies for crate rustls

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 03 Nov 2023 09:04:48 +0100

rust-rustls (0.21.8-1) experimental; urgency=medium

  [ upstream ]
  * new release;
    closes: bug#1055116

  [ Jonas Smedegaard ]
  * bump project version in virtual packages and autopkgtests
  * tighten (build-)dependencies for crates ring rustls-webpki
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 02 Nov 2023 18:37:20 +0100

rust-rustls (0.21.7-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * unfuzz patches
  * bump version for provided virtual packages and autopkgtest hints
  * update dh-cargo fork

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 31 Aug 2023 11:03:31 +0200

rust-rustls (0.21.6-4) unstable; urgency=medium

  * source-only re-release;
    closes: bug#1050296, thanks to Peter Green

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Aug 2023 23:16:06 +0200

rust-rustls (0.21.6-3) unstable; urgency=medium

  * update DEP-3 patch headers
  * update dh-cargo fork;
    closes: bug#1047861, thanks to Lucas Nussbaum

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 19 Aug 2023 19:28:42 +0200

rust-rustls (0.21.6-2) unstable; urgency=medium

  * drop patch 2002, obsoleted by Debian package changes;
    update build- and autopkgtest-dependencies for crate env_logger
  * fix patch 2004;
    closes: bug#1043421, thanks to Peter Green

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 11 Aug 2023 01:42:55 +0200

rust-rustls (0.21.6-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * bump project version in virtual packages and autopkgtests
  * unfuzz patches
  * update dh-cargo fork
  * tighten (build-)dependency for crate rustls-webpki
  * add patch 2004 to drop nightly-only feature read_buf;
    stop provide virtual package for or autopkgtest feature read_buf

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 05 Aug 2023 12:56:18 +0200

rust-rustls (0.21.5-5) unstable; urgency=medium

  * fix autopkgtest-dependencies;
    closes: bug#1042063, thanks to Peter Green

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 26 Jul 2023 10:06:43 +0200

rust-rustls (0.21.5-4) unstable; urgency=medium

  * fix: depend on package for crate rustls-webpki (not webpki)

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 22 Jul 2023 11:04:42 +0200

rust-rustls (0.21.5-3) unstable; urgency=medium

  * check tests during build;
    build-depend on packages for crate rustls-webpki

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 20 Jul 2023 20:39:32 +0200

rust-rustls (0.21.5-2) experimental; urgency=medium

  * fix: build-depend and autopkgtest-depend
    on packages for crate rustls-webpki (not webpki)
  * skip tests during build until crate rustls-webpki is in Debian

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 18 Jul 2023 15:01:31 +0200

rust-rustls (0.21.5-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * tighten patch 2004 and add DEP-3 headers
  * drop patch 2004, obsoleted by upstream changes
  * update and unfuzz patches
  * bump version for provided virtual packages and autopkgtest hints
  * build-depend and autopkgtest-depend on package for crate bencher
    (not criterion)
  * add patch 2002
    to relax dependencies to match system crate env_logger v0.9.3
  * skip copyright-check binary der cryptofile test

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 18 Jul 2023 11:20:13 +0200

rust-rustls (0.20.8-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Bump base64 dev-dependency to 0.21. (Closes: #1038420)

 -- Peter Michael Green <plugwash@debian.org>  Sat, 24 Jun 2023 20:20:37 +0000

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog librust-rustls-dev`.
